Skip to main content

Plim is a Python port of Ruby's Slim template language built on top of Mako Templates

Project description

Plim

https://pypip.in/v/Plim/badge.png https://pypip.in/d/Plim/badge.png https://api.travis-ci.org/avanov/Plim.png https://coveralls.io/repos/avanov/Plim/badge.png?branch=develop

Plim is a Python port of Ruby’s Slim template language built on top of Mako Templates. It uses Mako’s preprocessor feature to translate its syntax into a valid HTML/Mako markup.

For more information visit the Documentation Page.

Changelog

Version 0.9

  • 0.9.12
    • Feature: dashes are now allowed in html tag names.
  • 0.9.11
    • Hotfix: Fix incorrect parsing of templates with windows-style newlines (CR+LF).
  • 0.9.10
    • Hotfix: Fix plimc’s inability to find a custom preprocessors module in the current working dir.
  • 0.9.9
    • Hotfix: Fix UnicodeEncodeError in -def blocks with unicode strings as default argument values.
  • 0.9.8
    • Change: Stylus extension no longer depends on the nib package.
  • 0.9.7
    • Hotfix: Include requirements.txt into the distribution.
  • 0.9.6
    • Hotfix: Conditional statements parser now can handle strings containing inline tag separator sequences (#27).
  • 0.9.5
    • Hotfix: Fix plimc unicode decoding regression introduced by the previous hotfix.
  • 0.9.4
    • Hotfix: plimc no longer crashes with TypeError in Python3 environments
      when it writes bytes to sys.stdout.
  • 0.9.3
    • Hotfix: Fix UnicodeEncodeError in plimc when it writes to STDOUT.
  • 0.9.2
  • 0.9.1
  • 0.9.0
    • Change: Pyramid adapter now relies on Pyramid>=1.5a2 and pyramid_mako>=0.3.1.
    • Change: The package now depends on Mako>=0.9.0.
    • Change: Sass/Scss extension now requires PyScss>=1.2.0.post3.
    • Change: Pyramid adapter’s plim.file_extension configuration option is deprecated.
      The config.add_plim_renderer() directive is provided instead.

Version 0.8

  • 0.8.9
    • Bugfix: Use sys.maxsize instead of unavailable sys.maxint on Python 3.
  • 0.8.8
    • Hotfix: Make Plim working with a development version of pyScss for Python-3.x setups.
  • 0.8.7
    • Bugfix: Pyramid adapter is now compatible with the 1.5a2+ version of the framework.
    • Change: default template file extension
      used in pyramid bindings is changed from “.plm” to “.plim”.
  • 0.8.6
    • Hotfix: fixed assertion error in handlebars parser.
  • 0.8.5
  • 0.8.4
    • Hotfix: updated links to github.
  • 0.8.3
    • Hotfix: prevent lexer from parsing embedded markup inside style and script blocks.
  • 0.8.2
    • Feature: added support for Embedded Markup.
    • Feature: plimc utility is now able to output plain HTML.
  • 0.8.1
  • 0.8.0
    • Feature: added support for dynamic attributes unpacker (an equivalent to Slim’s splat attributes).

Version 0.7

  • 0.7.14
    • Hotfix: fixed bug with unicode handling.
  • 0.7.13
    • Hotfix: fixed bug with static unicode attributes.
  • 0.7.12
    • Unnecessary newline characters at the end of literal blocks have been removed.
    • Added the command-line tool plimc.
  • 0.7.11
    • Fixed bug that had to do with incorrect parsing of multi-line dynamic class attributes.
    • Fixed bug that had to do with passing incorrect data to plim parser in babel adapter.
  • 0.7.10 Fixed bug with unicode error in python block. Thanks to sqrabs@github!
  • 0.7.9 Added babel message extraction plugin.
  • 0.7.8 Expanded range of possible numeric values that don’t require double-quoting.
  • 0.7.7
    • Fixed bug with linebreaks without trailing newline character.
    • Fixed bug with missing explicit whitespace after =, and ==, line indicators.
  • 0.7.6 Fixed bug with incorrect parsing of static boolean attributes.
  • 0.7.5 Fixed bug with comment and content blocks separated by empty lines.
  • 0.7.4 Added -stylus extension.
  • 0.7.3 Fix bug with literal one-liners.
  • 0.7.1 Fixed installation error caused by missing README.rst.
  • 0.7.0 Initial public release.

Project details


Release history Release notifications

History Node

0.9.12

This version
History Node

0.9.11

History Node

0.9.10

History Node

0.9.9

History Node

0.9.8

History Node

0.9.7

History Node

0.9.6

History Node

0.9.5

History Node

0.9.4

History Node

0.9.3

History Node

0.9.2

History Node

0.9.1

History Node

0.9.0

History Node

0.8.9

History Node

0.8.8

History Node

0.8.7

History Node

0.8.6

History Node

0.8.5

History Node

0.8.4

History Node

0.8.3

History Node

0.8.2

History Node

0.8.1

History Node

0.8.0

History Node

0.7.14

History Node

0.7.13

History Node

0.7.12

History Node

0.7.11

History Node

0.7.10

Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Filename, size & hash SHA256 hash help File type Python version Upload date
Plim-0.9.11-py2.7.egg (46.9 kB) Copy SHA256 hash SHA256 Egg 2.7 Jun 1, 2014
Plim-0.9.11.tar.gz (23.1 kB) Copy SHA256 hash SHA256 Source None Jun 1, 2014

Supported by

Elastic Elastic Search Pingdom Pingdom Monitoring Google Google BigQuery Sentry Sentry Error logging CloudAMQP CloudAMQP RabbitMQ AWS AWS Cloud computing Fastly Fastly CDN DigiCert DigiCert EV certificate StatusPage StatusPage Status page